コンテンツへスキップ

Catalog API (2.0.0)

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use [test bank cards](/ja/doc/pay-station/references/test-cards).

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
OpenAPI記述をダウンロード
言語
サーバー
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/ja/api/catalog/
操作
操作
操作
操作
操作
操作
操作

バンドルのリストを取得Server-sideAdmin

リクエスト

管理用のプロジェクト内のバンドルリストを取得します。



このエンドポイントは、ストアカタログの構築に使用しないでください。
セキュリティ
basicAuth
パス
project_idinteger必須

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

例: 44056
クエリ
limitinteger>= 1

ページでの要素数の制限。

例: limit=50
offsetinteger>= 0

リストが生成される要素番号(カウントは0から始まります)。

例: offset=0
curl -i -X GET \
  -u <username>:<password> \
  'https://store.xsolla.com/api/v2/project/44056/admin/items/bundle?limit=50&offset=0'

レスポンス

バンドルのリストは正常に受信されました。

ボディapplication/json
itemsArray of objects(Bundles_admin_bundle_response)
items[].​attributesArray of objects(Bundles_admin-attributes)

属性リスト。

例: [{"external_id":"attribute_external_id","name":{"de":"Attributname","en":"Attribute name"},"values":[{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]}]
items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$必須

一意の属性ID。external_idには、小文字と大文字のラテン英数字、ダッシュ、およびアンダースコアのみが含まれます。

例: "attribute_external_id"
items[].​attributes[].​nameobject(admin-attribute-name)

属性用のローカライズされたオブジェクト。キーはISO 3166-1で指定されています。

例: {"de":"Attributname","en":"Attribute name"}
items[].​attributes[].​name.​property name*string追加プロパティ
items[].​attributes[].​valuesArray of objects(attribute-value)必須
例: [{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$必須

属性の一意の値ID。external_idには、英小文字、ダッシュ、およびアンダースコアのみが含まれます。

例: "value_external_id"
items[].​attributes[].​values[].​valueobject(value-name)必須

値名がローカライズされたオブジェクト。キーはISO 3166-1で指定されています。

items[].​attributes[].​values[].​value.​property name*string追加プロパティ
items[].​bundle_typestring(bundle_type)

バンドルタイプ。アイテムタイプがバンドルの場合に返されます。

列挙型"standard""virtual_currency_package""partner_side_content"
items[].​contentArray of objects(Bundles_admin_content_response)
items[].​content[].​description(object or null)(description-localization-object)
One of:

アイテムの説明に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

object or null
items[].​content[].​image_urlstring or null(Bundles_image_url)

画像URL。

items[].​content[].​name(object or null)(name-localization-object)
One of:

アイテム名に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字の言語コード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

object or null
items[].​content[].​quantityinteger>= 1

バンドル内のアイテムタイプの数量。

デフォルト 1
items[].​content[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

items[].​content[].​typestring(Bundles_type)

アイテムタイプ。

items[].​custom_attributesobject(json)(item-custom-attributes-response)

アイテムの属性と値を含むJSONオブジェクト。

items[].​description(object or null)(description-localization-object)
One of:

アイテムの説明に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

object or null
items[].​groupsArray of objects(Bundles_groups_response)

アイテムが所属するグループ。

items[].​groups[].​external_idstring
例: "horror"
items[].​groups[].​nameobject

アイテム名。キーと値のペアを含める必要があり、 キーは "^[a-z]" 書式のロケール{2}で、値は文字列です。

デフォルト {"en":"Horror"}
例: {"de":"Horror","en":"Horror"}
items[].​groups[].​name.​property name*string追加プロパティ
items[].​image_urlstring or null(Bundles_image_url)

画像URL。

items[].​is_enabledboolean(Bundles_is_enabled)

無効の場合、アイテムを検索して購入することはできません。

items[].​is_freeboolean(value-is_free)

trueの場合で、アイテムは無料です。

items[].​is_paid_randomized_rewardboolean(value-is_paid_randomized_reward)

アイテムが、ルートボックスなどのランダムな有料報酬であるかどうか。

items[].​is_show_in_storeboolean(Bundles_is_show_in_store)

アイテムは購入可能です。

items[].​item_idinteger(Bundles_item_id)[ 1 .. 255 ] characters

内部の一意のアイテムID。

items[].​limitsobject or null(admin-item-limit-response)

アイテム制限。

items[].​limits.​per_itemobject or null

グローバルアイテム制限。

items[].​limits.​per_item.​availableinteger

すべてのユーザーが購入できるアイテムの残り数。

items[].​limits.​per_item.​reservedinteger
items[].​limits.​per_item.​soldinteger
items[].​limits.​per_item.​totalinteger

すべてのユーザーが購入できるアイテムの最大数。

items[].​limits.​per_userobject or null

別ユーザーのアイテム制限。

items[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

購入制限に達してから次回の制限リセットまでの間、カタログ内でのアイテムの表示・非表示を決定します。

これは、recurrent_schedule配列で定期的な制限リセットが設定されているアイテムに適用されます。

制限のリセットが設定されていない場合、limit_exceeded_visibilityの値に関わらず、購入制限に達した後のアイテムはカタログに表示されません。

列挙型 値説明
hide

購入制限に達した場合、その制限がリセットされるまで、カタログ取得のAPIコールにおいて該当アイテムは返されません。

show

購入制限に達した後も、カタログ取得のAPIコールにおいて該当アイテムは返されます。 クライアント側のカタログ取得APIコールでは、制限に達すると、該当アイテムは can_be_bought: false フラグが付与された状態で返されます。 次回の制限リセット日はreset_next_dateに返されます。

items[].​limits.​per_user.​totalinteger

1ユーザーあたりのユーザーが購入できるアイテムの最大数。

items[].​limits.​recurrent_scheduleobject or null(admin_recurrent_schedule_response)

制限更新期間。

items[].​limits.​recurrent_schedule.​per_userinterval_type = 毎日 (object) or interval_type = 毎週 (object) or interval_type = 毎月 (object) or interval_type = 毎時間 (object)

ユーザー制限更新期間。

One of:

ユーザー制限の日次更新タイプ。

items[].​limits.​recurrent_schedule.​per_user.​displayable_reset_next_datestring(date-time)

制限をリセットする日時(ISO 8601)。

例: "2023-02-28T11:00:00+08:00"
items[].​limits.​recurrent_schedule.​per_user.​displayable_reset_start_datestring(date-time)

最初の制限更新の日時(ISO 8601)。

例: "2023-02-28T11:00:00+08:00"
items[].​limits.​recurrent_schedule.​per_user.​interval_typestring

定期更新期間のタイプ。

"daily"
items[].​limits.​recurrent_schedule.​per_user.​reset_next_dateinteger

制限が更新された日時(UNIXタイムスタンプ)。

例: 1677553200
items[].​limits.​recurrent_schedule.​per_user.​timestring(full-time)

希望するタイムゾーンでのリミットの更新時刻(時間単位で四捨五入)。

例: "11:00:00+03:00"
items[].​long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

アイテムの長文説明のローカライズを含むオブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のバリアント(例:enen-US)が提供された場合、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​long_description.​arstring or null

アラビア語

items[].​long_description.​bgstring or null

ブルガリア語

items[].​long_description.​cnstring or null

中国語(簡体字)

items[].​long_description.​csstring or null

チェコ語

items[].​long_description.​destring or null

ドイツ語

items[].​long_description.​enstring or null

英語

items[].​long_description.​esstring or null

スペイン語(スペイン)

items[].​long_description.​frstring or null

フランス語

items[].​long_description.​hestring or null

ヘブライ語

items[].​long_description.​idstring or null

インドネシア語

items[].​long_description.​itstring or null

イタリア語

items[].​long_description.​jastring or null

日本語

items[].​long_description.​kmstring or null

クメール語

items[].​long_description.​kostring or null

韓国語

items[].​long_description.​lostring or null

ラオス語

items[].​long_description.​mystring or null

ビルマ語

items[].​long_description.​nestring or null

ネパール語

items[].​long_description.​phstring or null

フィリピン語

items[].​long_description.​plstring or null

ポーランド語

items[].​long_description.​ptstring or null

ポルトガル語

items[].​long_description.​rostring or null

ルーマニア語

items[].​long_description.​rustring or null

ロシア語

items[].​long_description.​thstring or null

タイ語

items[].​long_description.​trstring or null

トルコ語

items[].​long_description.​twstring or null

中国語(繁体字)

items[].​long_description.​vistring or null

ベトナム語

items[].​media_listArray of Bundles_media_list (objects) or null
Any of:

バンドルの追加アセット。

items[].​media_list[].​typestring

メディアタイプ:image/video

列挙型"image""video"
例: "image"
items[].​media_list[].​urlstring

リソースファイル。

例: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
items[].​name(object or null)(name-localization-object)
One of:

アイテム名に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字の言語コード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

object or null
items[].​orderinteger(Bundles_order)

リスト内のバンドル順の優先順位。

items[].​periodsArray of objects(item-periods-response)

アイテム販売期間。

items[].​periods[].​date_fromstring or null(date-time)

指定されたアイテムの販売開始日。

例: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

指定されたアイテムが販売できなくなる日付。nullを指定することもできます。

例: "2020-08-11T20:00:00+03:00"
items[].​pricesArray of objects(Bundles_prices)

実際通貨建ての価格。

items[].​prices[].​amountstring(Bundles_amount_without_discount)^\d*\.?\d*$必須

アイテム価格。

items[].​prices[].​country_isostring or null

この価格が利用可能な国。ISO 3166-1 alpha 2に基づく2文字コード。

例: "US"
items[].​prices[].​currencystring(Bundles_currency)必須

商品価格通貨。ISO 4217 による3文字コード。

items[].​prices[].​is_defaultboolean必須

ユーザーの通貨での価格が指定されていない場合、デフォルトの価格がカタログ作成に使用されます。

items[].​prices[].​is_enabledboolean必須

価格が有効になりました。

items[].​regionsArray of objects(Bundles_admin-regions)
items[].​regions[].​idinteger>= 1
例: 1
items[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

items[].​total_content_priceobject or null(Bundles_total_content_price)

バンドルコンテンツ価格の合計。

items[].​total_content_price.​amountstring

バンドルコンテンツの価格を割引いた場合の合計。

例: "100.99"
items[].​total_content_price.​amount_without_discountstring

バンドルコンテンツ価格の合計。

例: "100.99"
items[].​total_content_price.​currencystring(Bundles_currency)

商品価格通貨。ISO 4217 による3文字コード。

items[].​typestring(Bundles_type)

アイテムタイプ。

items[].​virtual_pricesArray of objects(Bundles_admin-response-virtual_price)
items[].​virtual_prices[].​amountstring(Bundles_amount)^\d*\.?\d*$

割引を適用したアイテム価格。

items[].​virtual_prices[].​description(object or null)(description-localization-object)
One of:

アイテムの説明に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

object or null
items[].​virtual_prices[].​image_urlstring or null(Bundles_image_url)

画像URL。

items[].​virtual_prices[].​is_defaultboolean(Bundles_currency-is_default)

アイテムの価格をデフォルトにするかどうか。

items[].​virtual_prices[].​name(object or null)(name-localization-object)
One of:

アイテム名に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字の言語コード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

object or null
items[].​virtual_prices[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

items[].​virtual_prices[].​typestring(Bundles_vc-type)

仮想通貨のタイプ。

レスポンス
application/json
{ "items": [ {}, {} ] }

バンドルを作成Server-sideAdmin

リクエスト

バンドルを作成します。

セキュリティ
basicAuth
パス
project_idinteger必須

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

例: 44056
ボディapplication/json必須

バンドルデータを持つオブジェクト。

attributesArray of objects(Bundles_admin-post-put-attributes)<= 20 items

属性のリスト。

注意。アイテムの属性は20個以上指定することはできません。制限を超えようとすると、エラーが発生します。
attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$必須

一意の属性ID。external_idには、小文字と大文字のラテン英数字、ダッシュ、およびアンダースコアのみが含まれます。

attributes[].​nameobject(admin-attribute-name)

属性用のローカライズされたオブジェクト。キーはISO 3166-1で指定されています。

attributes[].​name.​property name*string追加プロパティ
attributes[].​valuesArray of objects(attribute-value)必須
注意。各属性に6つ以上の値を作成することはできません。制限を超えようとすると、エラーが発生します。
例: [{"external_id":"strategy","value":{"de":"Strategie","en":"Strategy"}},{"external_id":"action","value":{"de":"Aktion","en":"Action"}}]
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$必須

属性の一意の値ID。external_idには、英小文字、ダッシュ、およびアンダースコアのみが含まれます。

例: "value_external_id"
attributes[].​values[].​valueobject(value-name)必須

値名がローカライズされたオブジェクト。キーはISO 3166-1で指定されています。

attributes[].​values[].​value.​property name*string追加プロパティ
bundle_typestring(Bundles_bundle_type)

バンドルタイプ。standardを使用してアイテムのバンドルを作成し、バンドルに含まれるアイテムの SKU を指定します。 partner_side_contentを使用して空のバンドルを作成し、ウェブフックを使用してユーザー側でアイテムを追加します。このタイプは、パートナー側でのカタログ個人用設定でのみ使用されます。

列挙型"standard""partner_side_content"
contentArray of objects(Bundles_admin_content_request)non-empty
例: [{"quantity":1,"sku":"com.xsolla.kg_1"}]
content[].​quantityinteger>= 1

バンドル内の選択されたアイテムの数量。

デフォルト 1
例: 1
content[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$必須

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

例: "com.xsolla.kg_1"
custom_attributesobject(json)(item-custom-attributes)<= 500 characters

アイテムの属性と値を含むJSONオブジェクト。属性により、アイテムを使用するために必要なプレイヤーのレベルなど、より詳細な情報をアイテムに追加することができます。属性はゲームの内部ロジックを豊かにし、専用の「取得」メソッドやウェブフックからアクセスできます。

description(object or null)(description-localization-object)必須
One of:

アイテムの説明に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

object or null
groupsArray of strings(Bundles_groups_request)

アイテムが属するグループ。

注。文字列の値はグループ `external_id`を指します。
image_urlstring or null(Bundles_image_url)

画像URL。

is_enabledboolean(Bundles_is_enabled)

無効の場合、アイテムを検索して購入することはできません。

is_freeboolean(value-is_free)

trueの場合で、アイテムは無料です。

is_paid_randomized_rewardboolean(value-is_paid_randomized_reward)

アイテムが、ルートボックスなどのランダムな有料報酬であるかどうか。

is_show_in_storeboolean(Bundles_is_show_in_store)

アイテムは購入可能です。

limitsobject(bundle-item-limit)

アイテム制限。

limits.​per_iteminteger or null(limit_per_item)

グローバルアイテム制限。

limits.​per_userlimit_per_user (null) or limit_per_user (integer) or limit_per_user (object)(limit_per_user)

別ユーザーのアイテム制限。

Any of:

別ユーザーのアイテム制限。

null(limit_per_user)
limits.​recurrent_scheduleobject or null(bundle_recurrent_schedule)

制限更新期間。

limits.​recurrent_schedule.​per_userinterval_type = 毎日 (object) or interval_type = 毎週 (object) or interval_type = 毎月 (object) or interval_type = 毎時間 (object)

購入制限のリセットは、指定された時間間隔で実行されます。

One of:

購入制限のリセットは、指定された時間間隔で実行されます。

limits.​recurrent_schedule.​per_user.​interval_typestring必須

定期更新期間。

"daily"
limits.​recurrent_schedule.​per_user.​timestring((0[0-9]|1[0-9]|2[0-3]):00:00)(\+|-)(0[0-9]|1...必須

希望するタイムゾーンでのリミットの更新時刻(時間単位で四捨五入)。

例: "02:00:00+03:00"
long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

アイテムの長文説明のローカライズを含むオブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のバリアント(例:enen-US)が提供された場合、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

long_description.​arstring or null

アラビア語

long_description.​bgstring or null

ブルガリア語

long_description.​cnstring or null

中国語(簡体字)

long_description.​csstring or null

チェコ語

long_description.​destring or null

ドイツ語

long_description.​enstring or null

英語

long_description.​esstring or null

スペイン語(スペイン)

long_description.​frstring or null

フランス語

long_description.​hestring or null

ヘブライ語

long_description.​idstring or null

インドネシア語

long_description.​itstring or null

イタリア語

long_description.​jastring or null

日本語

long_description.​kmstring or null

クメール語

long_description.​kostring or null

韓国語

long_description.​lostring or null

ラオス語

long_description.​mystring or null

ビルマ語

long_description.​nestring or null

ネパール語

long_description.​phstring or null

フィリピン語

long_description.​plstring or null

ポーランド語

long_description.​ptstring or null

ポルトガル語

long_description.​rostring or null

ルーマニア語

long_description.​rustring or null

ロシア語

long_description.​thstring or null

タイ語

long_description.​trstring or null

トルコ語

long_description.​twstring or null

中国語(繁体字)

long_description.​vistring or null

ベトナム語

media_listArray of Bundles_media_list (objects) or null
Any of:

バンドルの追加アセット。

media_list[].​typestring

メディアタイプ:image/video

列挙型"image""video"
例: "image"
media_list[].​urlstring

リソースファイル。

例: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
name(object or null)(name-localization-object)必須
One of:

アイテム名に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字の言語コード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

object or null
orderinteger(Bundles_order)

リスト内のバンドル順の優先順位。

periodsArray of objects or null(item-periods)

アイテム販売期間。

periods[].​date_fromstring(date-time)

指定されたアイテムの販売開始日。

例: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

指定されたアイテムが販売できなくなる日付。nullを指定することもできます。

例: "2020-08-11T20:00:00+03:00"
pricesArray of objects(Bundles_prices)

実際通貨建ての価格。

prices[].​amountstring(Bundles_amount_without_discount)^\d*\.?\d*$必須

アイテム価格。

prices[].​country_isostring or null

この価格が利用可能な国。ISO 3166-1 alpha 2に基づく2文字コード。

例: "US"
prices[].​currencystring(Bundles_currency)必須

商品価格通貨。ISO 4217 による3文字コード。

prices[].​is_defaultboolean必須

ユーザーの通貨での価格が指定されていない場合、デフォルトの価格がカタログ作成に使用されます。

prices[].​is_enabledboolean必須

価格が有効になりました。

regionsArray of objects(Bundles_admin-regions)
regions[].​idinteger>= 1
例: 1
skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$必須

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

vc_pricesArray of Bundles_vc_prices (objects) or null
Any of:
vc_prices[].​amountinteger必須
vc_prices[].​is_defaultboolean必須
vc_prices[].​is_enabledboolean必須
vc_prices[].​skustring

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

例: "gold"
curl -i -X POST \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/bundle \
  -H 'Content-Type: application/json' \
  -d '{
    "attributes": [
      {
        "external_id": "class",
        "name": {
          "en": "Class"
        },
        "values": [
          {
            "external_id": "soldier",
            "value": {
              "en": "Soldier"
            }
          },
          {
            "external_id": "officer",
            "value": {
              "en": "Officer"
            }
          }
        ]
      }
    ],
    "content": [
      {
        "quantity": 1,
        "sku": "com.xsolla.iron_gloves_1"
      },
      {
        "quantity": 1,
        "sku": "com.xsolla.iron_boots_1"
      },
      {
        "quantity": 1,
        "sku": "com.xsolla.iron_shield_1"
      },
      {
        "quantity": 1,
        "sku": "com.xsolla.iron_armour_1"
      },
      {
        "quantity": 1,
        "sku": "com.xsolla.iron_helmet_1"
      }
    ],
    "custom_attributes": {
      "purchased": 0,
      "type": "lootbox"
    },
    "description": {
      "de": "Brustpanzer für Soldaten",
      "en": "Chest of armour for soldiers"
    },
    "groups": [
      "chests"
    ],
    "image_url": "https://picture.bundle-with-many-stuff.png",
    "is_enabled": true,
    "is_free": true,
    "is_paid_randomized_reward": true,
    "limits": {
      "per_item": null,
      "per_user": null
    },
    "long_description": {
      "de": "Brustpanzer für Soldaten",
      "en": "Chest of armour for soldiers"
    },
    "media_list": [
      {
        "type": "image",
        "url": "https://test.com/image0"
      },
      {
        "type": "image",
        "url": "https://test.com/image1"
      }
    ],
    "name": {
      "de": "Brustpanzer",
      "en": "Chest of armour"
    },
    "order": 1,
    "periods": [
      {
        "date_from": "2020-08-11T10:00:00+03:00",
        "date_until": "2020-08-11T20:00:00+03:00"
      }
    ],
    "prices": [
      {
        "amount": "9.99",
        "currency": "USD",
        "is_default": true,
        "is_enabled": true
      },
      {
        "amount": "9.99",
        "currency": "EUR",
        "is_default": false,
        "is_enabled": true
      }
    ],
    "sku": "com.xsolla.armour_chest_1",
    "vc_prices": []
  }'

レスポンス

バンドルが正常に作成されました。

ボディapplication/json
skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

レスポンス
application/json
{ "sku": "com.xsolla.kg_1" }

指定されたグループexternal IDのバンドルリストを取得するServer-sideAdmin

リクエスト

管理用のグループ内のバンドルリストを取得します。



このエンドポイントは、ストアカタログの構築に使用しないでください。
セキュリティ
basicAuth
パス
project_idinteger必須

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

例: 44056
external_idstring必須

External item group ID specified during creation.

例: weapons
クエリ
limitinteger>= 1

ページでの要素数の制限。

例: limit=50
offsetinteger>= 0

リストが生成される要素番号(カウントは0から始まります)。

例: offset=0
curl -i -X GET \
  -u <username>:<password> \
  'https://store.xsolla.com/api/v2/project/44056/admin/items/bundle/group/external_id/weapons?limit=50&offset=0'

レスポンス

バンドルのリストは正常に受信されました。

ボディapplication/json
itemsArray of objects(Bundles_admin_bundle_response)
items[].​attributesArray of objects(Bundles_admin-attributes)

属性リスト。

例: [{"external_id":"attribute_external_id","name":{"de":"Attributname","en":"Attribute name"},"values":[{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]}]
items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$必須

一意の属性ID。external_idには、小文字と大文字のラテン英数字、ダッシュ、およびアンダースコアのみが含まれます。

例: "attribute_external_id"
items[].​attributes[].​nameobject(admin-attribute-name)

属性用のローカライズされたオブジェクト。キーはISO 3166-1で指定されています。

例: {"de":"Attributname","en":"Attribute name"}
items[].​attributes[].​name.​property name*string追加プロパティ
items[].​attributes[].​valuesArray of objects(attribute-value)必須
例: [{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$必須

属性の一意の値ID。external_idには、英小文字、ダッシュ、およびアンダースコアのみが含まれます。

例: "value_external_id"
items[].​attributes[].​values[].​valueobject(value-name)必須

値名がローカライズされたオブジェクト。キーはISO 3166-1で指定されています。

items[].​attributes[].​values[].​value.​property name*string追加プロパティ
items[].​bundle_typestring(bundle_type)

バンドルタイプ。アイテムタイプがバンドルの場合に返されます。

列挙型"standard""virtual_currency_package""partner_side_content"
items[].​contentArray of objects(Bundles_admin_content_response)
items[].​content[].​description(object or null)(description-localization-object)
One of:

アイテムの説明に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

object or null
items[].​content[].​image_urlstring or null(Bundles_image_url)

画像URL。

items[].​content[].​name(object or null)(name-localization-object)
One of:

アイテム名に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字の言語コード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

object or null
items[].​content[].​quantityinteger>= 1

バンドル内のアイテムタイプの数量。

デフォルト 1
items[].​content[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

items[].​content[].​typestring(Bundles_type)

アイテムタイプ。

items[].​custom_attributesobject(json)(item-custom-attributes-response)

アイテムの属性と値を含むJSONオブジェクト。

items[].​description(object or null)(description-localization-object)
One of:

アイテムの説明に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

object or null
items[].​groupsArray of objects(Bundles_groups_response)

アイテムが所属するグループ。

items[].​groups[].​external_idstring
例: "horror"
items[].​groups[].​nameobject

アイテム名。キーと値のペアを含める必要があり、 キーは "^[a-z]" 書式のロケール{2}で、値は文字列です。

デフォルト {"en":"Horror"}
例: {"de":"Horror","en":"Horror"}
items[].​groups[].​name.​property name*string追加プロパティ
items[].​image_urlstring or null(Bundles_image_url)

画像URL。

items[].​is_enabledboolean(Bundles_is_enabled)

無効の場合、アイテムを検索して購入することはできません。

items[].​is_freeboolean(value-is_free)

trueの場合で、アイテムは無料です。

items[].​is_paid_randomized_rewardboolean(value-is_paid_randomized_reward)

アイテムが、ルートボックスなどのランダムな有料報酬であるかどうか。

items[].​is_show_in_storeboolean(Bundles_is_show_in_store)

アイテムは購入可能です。

items[].​item_idinteger(Bundles_item_id)[ 1 .. 255 ] characters

内部の一意のアイテムID。

items[].​limitsobject or null(admin-item-limit-response)

アイテム制限。

items[].​limits.​per_itemobject or null

グローバルアイテム制限。

items[].​limits.​per_item.​availableinteger

すべてのユーザーが購入できるアイテムの残り数。

items[].​limits.​per_item.​reservedinteger
items[].​limits.​per_item.​soldinteger
items[].​limits.​per_item.​totalinteger

すべてのユーザーが購入できるアイテムの最大数。

items[].​limits.​per_userobject or null

別ユーザーのアイテム制限。

items[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

購入制限に達してから次回の制限リセットまでの間、カタログ内でのアイテムの表示・非表示を決定します。

これは、recurrent_schedule配列で定期的な制限リセットが設定されているアイテムに適用されます。

制限のリセットが設定されていない場合、limit_exceeded_visibilityの値に関わらず、購入制限に達した後のアイテムはカタログに表示されません。

列挙型 値説明
hide

購入制限に達した場合、その制限がリセットされるまで、カタログ取得のAPIコールにおいて該当アイテムは返されません。

show

購入制限に達した後も、カタログ取得のAPIコールにおいて該当アイテムは返されます。 クライアント側のカタログ取得APIコールでは、制限に達すると、該当アイテムは can_be_bought: false フラグが付与された状態で返されます。 次回の制限リセット日はreset_next_dateに返されます。

items[].​limits.​per_user.​totalinteger

1ユーザーあたりのユーザーが購入できるアイテムの最大数。

items[].​limits.​recurrent_scheduleobject or null(admin_recurrent_schedule_response)

制限更新期間。

items[].​limits.​recurrent_schedule.​per_userinterval_type = 毎日 (object) or interval_type = 毎週 (object) or interval_type = 毎月 (object) or interval_type = 毎時間 (object)

ユーザー制限更新期間。

One of:

ユーザー制限の日次更新タイプ。

items[].​limits.​recurrent_schedule.​per_user.​displayable_reset_next_datestring(date-time)

制限をリセットする日時(ISO 8601)。

例: "2023-02-28T11:00:00+08:00"
items[].​limits.​recurrent_schedule.​per_user.​displayable_reset_start_datestring(date-time)

最初の制限更新の日時(ISO 8601)。

例: "2023-02-28T11:00:00+08:00"
items[].​limits.​recurrent_schedule.​per_user.​interval_typestring

定期更新期間のタイプ。

"daily"
items[].​limits.​recurrent_schedule.​per_user.​reset_next_dateinteger

制限が更新された日時(UNIXタイムスタンプ)。

例: 1677553200
items[].​limits.​recurrent_schedule.​per_user.​timestring(full-time)

希望するタイムゾーンでのリミットの更新時刻(時間単位で四捨五入)。

例: "11:00:00+03:00"
items[].​long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

アイテムの長文説明のローカライズを含むオブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のバリアント(例:enen-US)が提供された場合、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​long_description.​arstring or null

アラビア語

items[].​long_description.​bgstring or null

ブルガリア語

items[].​long_description.​cnstring or null

中国語(簡体字)

items[].​long_description.​csstring or null

チェコ語

items[].​long_description.​destring or null

ドイツ語

items[].​long_description.​enstring or null

英語

items[].​long_description.​esstring or null

スペイン語(スペイン)

items[].​long_description.​frstring or null

フランス語

items[].​long_description.​hestring or null

ヘブライ語

items[].​long_description.​idstring or null

インドネシア語

items[].​long_description.​itstring or null

イタリア語

items[].​long_description.​jastring or null

日本語

items[].​long_description.​kmstring or null

クメール語

items[].​long_description.​kostring or null

韓国語

items[].​long_description.​lostring or null

ラオス語

items[].​long_description.​mystring or null

ビルマ語

items[].​long_description.​nestring or null

ネパール語

items[].​long_description.​phstring or null

フィリピン語

items[].​long_description.​plstring or null

ポーランド語

items[].​long_description.​ptstring or null

ポルトガル語

items[].​long_description.​rostring or null

ルーマニア語

items[].​long_description.​rustring or null

ロシア語

items[].​long_description.​thstring or null

タイ語

items[].​long_description.​trstring or null

トルコ語

items[].​long_description.​twstring or null

中国語(繁体字)

items[].​long_description.​vistring or null

ベトナム語

items[].​media_listArray of Bundles_media_list (objects) or null
Any of:

バンドルの追加アセット。

items[].​media_list[].​typestring

メディアタイプ:image/video

列挙型"image""video"
例: "image"
items[].​media_list[].​urlstring

リソースファイル。

例: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
items[].​name(object or null)(name-localization-object)
One of:

アイテム名に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字の言語コード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

object or null
items[].​orderinteger(Bundles_order)

リスト内のバンドル順の優先順位。

items[].​periodsArray of objects(item-periods-response)

アイテム販売期間。

items[].​periods[].​date_fromstring or null(date-time)

指定されたアイテムの販売開始日。

例: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

指定されたアイテムが販売できなくなる日付。nullを指定することもできます。

例: "2020-08-11T20:00:00+03:00"
items[].​pricesArray of objects(Bundles_prices)

実際通貨建ての価格。

items[].​prices[].​amountstring(Bundles_amount_without_discount)^\d*\.?\d*$必須

アイテム価格。

items[].​prices[].​country_isostring or null

この価格が利用可能な国。ISO 3166-1 alpha 2に基づく2文字コード。

例: "US"
items[].​prices[].​currencystring(Bundles_currency)必須

商品価格通貨。ISO 4217 による3文字コード。

items[].​prices[].​is_defaultboolean必須

ユーザーの通貨での価格が指定されていない場合、デフォルトの価格がカタログ作成に使用されます。

items[].​prices[].​is_enabledboolean必須

価格が有効になりました。

items[].​regionsArray of objects(Bundles_admin-regions)
items[].​regions[].​idinteger>= 1
例: 1
items[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

items[].​total_content_priceobject or null(Bundles_total_content_price)

バンドルコンテンツ価格の合計。

items[].​total_content_price.​amountstring

バンドルコンテンツの価格を割引いた場合の合計。

例: "100.99"
items[].​total_content_price.​amount_without_discountstring

バンドルコンテンツ価格の合計。

例: "100.99"
items[].​total_content_price.​currencystring(Bundles_currency)

商品価格通貨。ISO 4217 による3文字コード。

items[].​typestring(Bundles_type)

アイテムタイプ。

items[].​virtual_pricesArray of objects(Bundles_admin-response-virtual_price)
items[].​virtual_prices[].​amountstring(Bundles_amount)^\d*\.?\d*$

割引を適用したアイテム価格。

items[].​virtual_prices[].​description(object or null)(description-localization-object)
One of:

アイテムの説明に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

object or null
items[].​virtual_prices[].​image_urlstring or null(Bundles_image_url)

画像URL。

items[].​virtual_prices[].​is_defaultboolean(Bundles_currency-is_default)

アイテムの価格をデフォルトにするかどうか。

items[].​virtual_prices[].​name(object or null)(name-localization-object)
One of:

アイテム名に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字の言語コード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

object or null
items[].​virtual_prices[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

items[].​virtual_prices[].​typestring(Bundles_vc-type)

仮想通貨のタイプ。

レスポンス
application/json
{ "items": [ {}, {} ] }
操作

カート(クライアント側)

操作

カート(サーバー側)

操作

決済(クライアント側)

操作

決済(サーバー側)

操作
操作

無料アイテム

操作
操作
操作
操作

マーチャント

操作

カタログ

このAPIは販売可能なアイテムや特定のアイテムを取得することができます。

操作
操作
操作
操作
操作